> For the complete documentation index, see [llms.txt](https://docs.halosecurity.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.halosecurity.com/api/readme/permissions.md).

# Permissions

Methods that perform privileged actions require the user to possess permissions. These permissions are associated with the user role.

## Permission Mapping

For more information about roles, see <https://app.halosecurity.com/user/support/roles>

| Permission                    | Role(s)                                            |
| ----------------------------- | -------------------------------------------------- |
| `account_user_get`            | Administrator *(if not performed on current user)* |
| `account_user_invite`         | Administrator                                      |
| `account_user_list`           | Administrator                                      |
| `account_user_update`         | Administrator *(if not performed on current user)* |
| `security_acknowledge_add`    | Administrator, Power User                          |
| `security_acknowledge_delete` | Administrator, Power User                          |
| `security_scan_cancel`        | Administrator, Power User, User                    |
| `security_scan_start`         | Administrator, Power User, User                    |
| `security_target_update`      | Administrator, Power User                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.halosecurity.com/api/readme/permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
